##// END OF EJS Templates
Fixed a bashism with the use of $RANDOM in hgeditor....
Javi Merino -
r11266:2b440bb8 default
parent child Browse files
Show More
@@ -27,8 +27,8 b' cleanup_exit() {'
27 trap "cleanup_exit" 0 # normal exit
27 trap "cleanup_exit" 0 # normal exit
28 trap "exit 255" HUP INT QUIT ABRT TERM
28 trap "exit 255" HUP INT QUIT ABRT TERM
29
29
30 HGTMP="${TMPDIR-/tmp}/hgeditor.$RANDOM.$RANDOM.$RANDOM.$$"
30 HGTMP=$(mktemp -d ${TMPDIR-/tmp}/hgeditor.XXXXXX)
31 (umask 077 && mkdir "$HGTMP") || {
31 [ x$HGTMP != x -a -d $HGTMP ] || {
32 echo "Could not create temporary directory! Exiting." 1>&2
32 echo "Could not create temporary directory! Exiting." 1>&2
33 exit 1
33 exit 1
34 }
34 }
General Comments 0
You need to be logged in to leave comments. Login now